
Name:    plasma-user-manager
Summary: Manage the users of your system
Version: 5.8.7
Release: 1%{?dist}

License: GPLv2
URL:     https://cgit.kde.org/user-manager.git/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/user-manager-%{version}.tar.xz

## upstream patches (lookaside cache)

# allow upgrade path from user-manager copr
Obsoletes: user-manager < 5.5.0-10
Provides:  user-manager = %{version}-%{release}

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: extra-cmake-modules
BuildRequires: libpwquality-devel
BuildRequires: kf5-rpm-macros
BuildRequires: kf5-kdelibs4support-devel
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)

# https://bugzilla.redhat.com/show_bug.cgi?id=1398704
# lib/accountmodel.cpp: m_dbus = new AccountsManager("org.freedesktop.Accounts", "/org/freedesktop/Accounts" ...
Requires: accountsservice

%description
A simple system settings module to manage the users of your system.


%prep
%autosetup -n user-manager-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang user_manager


%files -f user_manager.lang
%license COPYING
%{_kf5_qtplugindir}/user_manager.so
%{_kf5_datadir}/kservices5/user_manager.desktop
%{_kf5_datadir}/user-manager/


%changelog
* Thu May 25 2017 Rex Dieter <rdieter@fedoraproject.org> - 5.8.7-1
- 5.8.7

* Tue Feb 21 2017 Rex Dieter <rdieter@fedoraproject.org> - 5.8.6-1
- 5.8.6

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 31 2017 Rex Dieter <rdieter@fedoraproject.org> - 5.8.5-2
- update URL, Requires: accountsservice (#1398704,kde#372933)

* Wed Dec 28 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.8.5-1
- 5.8.5

* Tue Dec 13 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.8.4-2
- pull in upstream fixes

* Tue Nov 22 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.8.4-1
- 5.8.4

* Tue Nov 01 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.8.3-1
- 5.8.3

* Tue Oct 18 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.8.2-1
- 5.8.2

* Tue Oct 11 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.8.1-1
- 5.8.1

* Thu Sep 29 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.8.0-1
- 5.8.0

* Thu Sep 22 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.7.95-1
- 5.7.95

* Tue Sep 13 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.7.5-1
- 5.7.5

* Tue Aug 23 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.7.4-1
- 5.7.4

* Tue Aug 02 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.7.3-1
- 5.7.3

* Tue Jul 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.7.2-1
- 5.7.2

* Tue Jul 12 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.7.1-1
- 5.7.1

* Thu Jun 30 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.7.0-1
- 5.7.0

* Sat Jun 25 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.95-1
- 5.6.95

* Tue Jun 14 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.5-1
- 5.6.5

* Sat May 14 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.4-1
- 5.6.4

* Tue Apr 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.3-1
- 5.6.3

* Sat Apr 09 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.2-1
- 5.6.2

* Fri Apr 08 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.1-1
- 5.6.1

* Mon Mar 07 2016 Rex Dieter <rdieter@fedoraproject.org> 5.5.5-1
- 5.5.5

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 29 2016 Rex Dieter <rdieter@fedoraproject.org> 5.5.4-1
- 5.5.4

* Fri Jan 08 2016 Rex Dieter <rdieter@fedoraproject.org> 5.5.3-1
- 5.5.3

* Fri Jan 01 2016 Rex Dieter <rdieter@fedoraproject.org> 5.5.2-1
- 5.5.2

* Thu Dec 31 2015 Rex Dieter <rdieter@fedoraproject.org> 5.5.0-11
- License: GPLv2

* Tue Dec 08 2015 Rex Dieter <rdieter@fedoraproject.org> 5.5.0-10
- plasma-user-manager

* Tue Dec 8 2015 Elia Devito <eliadevito@yahoo.it> 5.5.0-1
- Plasma 5.5.0

* Fri Dec 4 2015 Elia Devito <eliadevito@yahoo.it> 5.4.3-2
- Fix language packaging
- Added License

* Fri Dec 4 2015 Elia Devito <eliadevito@yahoo.it> 5.4.3-1
- Initial SPEC file

